Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## juzu
Class Response.Content<S extends Stream>

    java.lang.Object
      juzu.Response
          juzu.Response.Content<S>

Direct Known Subclasses:
  Response.Render

Enclosing class:
  Response

    public static class Response.Content<S extends Stream>

extends Response

Nested Class Summary
`static class` | `Response.Content.MIME_TYPE` Mime type type literal.

Nested classes/interfaces inherited from class juzu.Response
`Response.Content<S extends Stream>, Response.Redirect, Response.Render, Response.Update`

Field Summary
`static Response.Content.MIME_TYPE` | `MIME_TYPE` Mime type literal instance.

Method Summary
`Class<S>` | `getKind()`
`String` | `getMimeType()`
`Integer` | `getStatus()`
`Streamable<S>` | `getStreamable()`
`void` | `send(S stream)` Send the response on the stream argument, Juzu invokes it when it needs to render the content object.
`
`<T> Response.Content`
` | `with(PropertyType<T> propertyType, T propertyValue)` Set a property, if the value is null, the property is removed.
`Response.Content<S>` | `withMimeType(String mimeType)`

Methods inherited from class juzu.Response
`content, content, content, content, getProperties, notFound, ok, ok, ok, redirect, render, render`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MIME_TYPE

    public static Response.Content.MIME_TYPE MIME_TYPE

  Mime type literal instance.

Method Detail

### getKind

    public Class<S> getKind()

### getStreamable

    public Streamable<S> getStreamable()

### getMimeType

    public String getMimeType()

### withMimeType

    public Response.Content<S> withMimeType(String mimeType)

### getStatus

    public Integer getStatus()

### with

    public <T> Response.Content with(PropertyType<T> propertyType,
                                     T propertyValue)
                          throws NullPointerException

  Description copied from class: `Response`
  Set a property, if the value is null, the property is removed.

  Overrides:
    `with` in class `Response`
  Parameters:
    `propertyType` - the property type
    `propertyValue` - the property value
  Throws:
    `NullPointerException` - if the property type is null

### send

    public void send(S stream)
              throws IOException

  Send the response on the stream argument, Juzu invokes it when it needs to render the content object.

  Parameters:
    `stream` - the stream for sending the response
  Throws:
    `IOException` - any io exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 eXo Platform SAS. All Rights Reserved.